Page MenuHomePhabricator

Timeless and VE media insertion dialog conflict
Closed, ResolvedPublic1 Story Points

Description

When trying to insert media in VE in timeless, after selecting the image, in Safari there's no insert or cancel button at all, making inserting the media file impossible. It's also impossible to cancel the insertion, so there's no way to exit without reloading the page.

In chrome to Insert button is visible, but almost completely covered by the timeless top pane.

Event Timeline

Pchelolo created this task.Dec 19 2017, 7:28 PM

The problem is that the top of the media insertion dialogue overlaps the bar at the top of Timeless.

Either Timeless or the visual editor are making faulty assumptions here that are causing this to happen. Or both!

Probably a z-index issue in OOUI, Timeless, or both. @matmarex ?

ashley moved this task from Backlog to Compatibility on the Timeless board.Dec 21 2017, 6:42 AM
Exilexi added a subscriber: Exilexi.Jan 9 2018, 1:10 PM

I have the same issue on Chrome and Firefox on a 13" and on a 15" screen.

Change 404333 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[mediawiki/skins/Timeless@master] OOjs UI: Display windows on top of the fixed header

https://gerrit.wikimedia.org/r/404333

matmarex claimed this task.Jan 15 2018, 9:35 PM

Change 404333 merged by jenkins-bot:
[mediawiki/skins/Timeless@master] OOjs UI: Display windows on top of the fixed header

https://gerrit.wikimedia.org/r/404333

matmarex closed this task as Resolved.Jan 22 2018, 8:18 PM
matmarex removed a project: Patch-For-Review.
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptJan 22 2018, 8:18 PM
Deskana set the point value for this task to 1.Jan 22 2018, 8:18 PM
Deskana moved this task from To Triage to TR1: Releases on the VisualEditor board.